| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Structures
Here are the data structures with brief descriptions:

AFE_BIASSTR |
AFE_CSRSTR |
AFE_EICSTR |
AFE_GAINXSTR |
AFE_GAINYSTR |
AFE_GAINZSTR |
AFE_OFFXSTR |
AFE_OFFYSTR |
AFE_OFFZSTR |
AFE_PRESSTR |
AFE_TEMPSTR |
AFE_TEST1STR |
AFE_TEST2STR |
AFE_TEST3STR |
AFE_XACCSTR |
AFE_YACCSTR |
AFE_ZACCSTR |
ci_app_resp_packet_t | This structure enables an application to read from or write to the host
ci_host_cmd_packet_t | This structure contains host command information
CK_OSCTRLSTR |
CK_TRIMSTR |
comm_Command_struct | This structure defines the command sent to a device
comm_MessageBuffer_struct | This structure defines a buffer to hold data read from or written to a device
CRCSTR |
ctrl_reg_t | The generic control register structure for user applications
device_info_t | This structure holds the ROM device information such as version and part number and is returned by the _fw_device_info_get() command
dm_ChannelDescriptor_struct | This structure is a declaration of a channel descriptor type
dm_DeviceHandle_struct | This structure defines a handle for the device
FCSRSTR |
FLCSRSTR |
FOPTSTR |
fxlc9500x_afe_data_t | A single sample set of AFE sensor data
fxlc9500x_idle_t | Stop mode configuration during idle
fxlc9500x_vars_t | Freescale firmware variables
hp_ApplicationConfig_struct | This structure configures a user application
hp_Config_struct | This structure defines the host configuration which has multiple configured user applications
hp_hostUpdate_struct | This is the structure defined for the user application to update the host
hp_Interface_struct | This is the structure for the host interface. Each user application needs to implement this interface, when utilizing the features of the Host Proxy
i2c_BusConfig_struct | This structure defines the user-specified parameters for bus configuration
i2c_BusHandle_struct | This structure defines the data bus handle
i2c_BusInfo_struct | This structure defines the I2C bus information
i2c_BusRegInfo_struct | This structure defines the I2C bus register information
i2c_Command_struct | This structure defines the data of a command transferred over the I2C bus
i2c_MessageBuffer_struct | This structure defines a buffer to hold data read from or written to the I2C bus
i2c_RegLayout_struct | This structure defines the I2C register layout. The layout of the register is the same for similar types of masters such as the I2C master in FXLC95000CL
i2c_SlaveHandle_struct | This structure defines a slave handler
i2c_State_struct | This structure defines the I2C state
ifr_t |
IICA1STR |
IICC1STR |
IICC2STR |
IICDSTR |
IICFLTSTR |
IICFSTR |
IICSSTR |
INTC_CFRCSTR |
INTC_FRCSTR |
INTC_LVL1IACKSTR |
INTC_LVL2IACKSTR |
INTC_LVL3IACKSTR |
INTC_LVL4IACKSTR |
INTC_LVL5IACKSTR |
INTC_LVL6IACKSTR |
INTC_LVL7IACKSTR |
INTC_PL6P6STR |
INTC_PL6P7STR |
INTC_SFRCSTR |
INTC_SWIACKSTR |
INTC_WCRSTR |
IRQSCSTR |
isf_lib_info_t | This structure holds the ISF library information such as version and part number
MTIM16CLKSTR |
MTIM16CNTSTR |
MTIM16MODSTR |
MTIM16SCSTR |
NVBOPTSTR |
NVOPTSTR |
PC0DSSTR |
PC0IFESTR |
PC0PESTR |
PC0SESTR |
PC1DSSTR |
PC1IFESTR |
PC1PESTR |
PC1SESTR |
PCERUN0STR |
PCERUN1STR |
PCESFC0STR |
PCESFC1STR |
PCESSC0STR |
PCESSC1STR |
PDB_COUNTSTR |
PDB_DELAYASTR |
PDB_DELAYBSTR |
PDB_MODSTR |
PDB_SCRSTR |
PMCR0STR |
PMCR1STR |
PMCR2STR |
protocol_t | This structure contains protocol-specific function pointers and properties
RCSRSTR |
RGPIO_CLRSTR |
RGPIO_DATASTR |
RGPIO_DIRSTR |
RGPIO_ENBSTR |
RGPIO_SETSTR |
RGPIO_TOGSTR |
SensorConfig_st | This defines the DSA sensor configuration structure defining each individual sensor adapter in the DSA Sensor List
SIM_TRSTR |
sm_DevConfigHdr_St | This defines the DSA sensor device configuration header structure used for adapter initial configuration
sm_dsa_ControlInterface_st | This defines the DSA adapter control interface abstract function list
sm_dsa_DeviceInfoBlock_st | This defines the DSA adapter device information block
sm_dsa_FunctionalInterface_st | This defines the DSA adapter functional interface
sm_Dsa_SensorStatus_st | This defines the DSA adapter sensor status bit-field structure
sm_DsaAdapter_st | This defines the DSA adapter structure required for static initialization of the concrete instance of a given sensor adapter
sm_SensorConfigSettings_st | This defines the DSA sensor configuration parameter structure configuring the sensor settings by a subscriber task
sm_SensorHandle_St | This is defines the DSA sensor device handle structure to invoke the adapter access functions
SM_SensorSetting_t |
SP_ADDRSTR |
SP_MB0_dwordSTR |
SP_MB1_dwordSTR |
SP_MB2_dwordSTR |
SP_MB3_dwordSTR |
SP_MB4_dwordSTR |
SP_MB5_dwordSTR |
SP_MB6_dwordSTR |
SP_MB7_dwordSTR |
SP_MTOR0STR |
SP_MTOR1STR |
SP_MUTEX0STR |
SP_MUTEX1STR |
SP_OICSTR |
SP_RSTS0STR |
SP_RSTS1STR |
SP_RSTS2STR |
SP_RSTS3STR |
SP_SCRSTR |
SP_WSTS0STR |
SP_WSTS1STR |
SP_WSTS2STR |
SP_WSTS3STR |
SPI_SPDRRSTR |
SPI_SPDSRSTR |
SPI_SPDTRSTR |
SPI_SPFIFOSTR |
SPI_SPSCRSTR |
SPI_SPWAITSTR |
STOPCRSTR |
sys_channelDescriptor_t | This structure defines the channel descriptor
TCRSTR |
TPMC0SCSTR |
TPMC0VSTR |
TPMC1SCSTR |
TPMC1VSTR |
TPMCNTSTR |
TPMMODSTR |
TPMSCSTR |